<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 
	require_once "../core/core_classes.php";
	require_once "../config.php";

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {
	
		case 'reporteAduana':

			$pTipoSistema = 2;
			$pFechaInicio = filter_input(INPUT_POST, 'pFechaInicio');
			$pFechaFin = filter_input(INPUT_POST, 'pFechaFin');
			$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');

			$stmt = $conn->prepare("call ReporteFacturadoADUANA($pTipoSistema,'$pFechaInicio','$pFechaFin','$pNidCliente')");
			$stmt->execute();
			
			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
			
				$respuesta = new core_reporte_aduana();
				$respuesta->folioFactura = $row["Folio"];
				$respuesta->folioServicio = $row["FolioServicio"];
				$respuesta->cliente = $row["Agente"];
				$respuesta->fechaServicio = $row["FechaServicio"];
				$respuesta->importe = $row["ImpFactura"];
				$respuesta->agenteAduanal = $row["Agente"];
				$respuesta->observaciones = $row["Observaciones"];
				$respuesta->contra_prestacion = $row["ContraPrestacion"];
			
				$response->datos[] = $respuesta;	
			
			};
		
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
		case 'reporteApiver':

				$pTipoSistema = 1;
				$pFechaInicio = filter_input(INPUT_POST, 'pFechaInicio');
				$pFechaFin = filter_input(INPUT_POST, 'pFechaFin');
				$pNidCliente = filter_input(INPUT_POST, 'pNidCliente');
	
	
			
				// get settings
				$stmt = $conn->prepare("call ReporteFacturadoAPIVER($pTipoSistema,'$pFechaInicio','$pFechaFin','$pNidCliente')");
				$stmt->execute();
	
				$response = new root_response;
				while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
				{ 

					$respuesta = new core_reporte_apiver();
					$respuesta->folioFactura = $row["Folio"];
					$respuesta->fechaFactura = $row["FechaEmision"];
					$respuesta->cliente = $row["NomCliente"];
					$respuesta->buque = $row["desc_buque"];
					$respuesta->fechaServicio = $row["FechaServicio"];
					$respuesta->descripcionServicio = $row["Descripcion"];
					$respuesta->importeOriginal = $row["ImpFactura"];
					$respuesta->tcAplicable = $row["TC"];
					$respuesta->importeFactura = $row["Total"];
				
					$response->datos[] = $respuesta;					
				};
							
				$response->transaccion = "1";
				$response->mensaje = "Ok";
				
				echo json_encode($response);
				
				break;	
		
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
